Bug 387160 - Put task switchers in alphabetical order please
Summary: Put task switchers in alphabetical order please
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: tabbox (show other bugs)
Version: 5.16.4
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Cyril Rossi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-20 16:19 UTC by Patrick Silva
Modified: 2020-04-01 09:09 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.19


Attachments
screenshot (55.48 KB, image/png)
2017-11-20 16:19 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2017-11-20 16:19:51 UTC
Created attachment 108988 [details]
screenshot

A drop down to select the task switcher is available in "main" and "alternative" tabs.
Can you put the options available in alphabetical order to improve usability please?
Thanks
Comment 1 Martin Flöser 2017-11-24 05:16:44 UTC
Why would an alphabetical order improve the usability?
Comment 2 Nate Graham 2017-11-24 05:23:30 UTC
A clear order makes things easier to find than a random or unclear order.
Comment 3 Patrick Silva 2017-11-24 10:36:22 UTC
(In reply to Nate Graham from comment #2)
> A clear order makes things easier to find than a random or unclear order.

Exactly!
Comment 4 Martin Flöser 2017-11-24 22:09:10 UTC
Well there is a clear order. The first two are the effects, then all scripted uis in alphabetical order of the package names.
Comment 5 Nate Graham 2017-11-24 22:11:39 UTC
That's only clear to you as the maintainer because you're familiar with the code. :)

A mere user would never guess that. If that ordering is intentional, a visible separator between the effects and the package entries might be nice.
Comment 6 Cyril Rossi 2020-03-03 08:56:42 UTC
I did some work on the KCM, also the drop down is now ordered, please check https://phabricator.kde.org/D27784
Comment 7 Cyril Rossi 2020-04-01 09:09:49 UTC
Git commit 51a1e06dfc1fb8832c89d5f8a4abf24ff56bb32c by Cyril Rossi.
Committed on 01/04/2020 at 09:01.
Pushed by crossi into branch 'master'.

KCM KWinTabBox manage KCModule states

Summary:
Following D27323, manage KCModule states for reinitialize/defaults/apply

Also, this should solve :
Related: bug 414567
FIXED-IN: 5.19

Reviewers: #kwin, ervin, bport, meven, zzag

Reviewed By: #kwin, ervin, meven, zzag

Subscribers: kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D27784

M  +1    -0    kcmkwin/kwintabbox/CMakeLists.txt
A  +353  -0    kcmkwin/kwintabbox/kwintabboxconfigform.cpp     [License: GPL (v2)]
A  +122  -0    kcmkwin/kwintabbox/kwintabboxconfigform.h     [License: GPL (v2)]
M  +163  -254  kcmkwin/kwintabbox/main.cpp
M  +16   -28   kcmkwin/kwintabbox/main.h
M  +5    -5    kcmkwin/kwintabbox/main.ui

https://commits.kde.org/kwin/51a1e06dfc1fb8832c89d5f8a4abf24ff56bb32c